=== include/CMakeLists.txt ===
install_header(TFEL Macros.hxx)
install_header(TFEL ContractViolation.hxx)
install_header(TFEL Raise.hxx)
install_header(TFEL Raise.ixx)
install_header(TFEL PhysicalConstants.hxx)

install_header(TFEL/Config/Internals TFELTypesInternals.hxx)
install_header(TFEL/Config/Internals SpatialGradType.hxx)
install_header(TFEL/Config/Internals TemperatureGradientType.hxx)
install_header(TFEL/Config/Internals HeatFluxVectorType.hxx)
install_header(TFEL/Config/Internals InvJacobianType.hxx)
install_header(TFEL/Config/Internals PositionType.hxx)
install_header(TFEL/Config/Internals JacobianType.hxx)
install_header(TFEL/Config/Internals ThermalConductivityMatrixType.hxx)
install_header(TFEL/Config TFEL_MATH_Config.hxx)
install_header(TFEL/Config TFELTypes.hxx)
install_header(TFEL/Config TFELConfig.hxx)
install_header(TFEL/Config GetInstallPath.hxx)
install_header(TFEL/Config GetTFELVersion.h)

install_header(TFEL/Glossary/Forward Glossary.hxx)
install_header(TFEL/Glossary Glossary.hxx)
install_header(TFEL/Glossary GlossaryEntry.hxx)

install_header(TFEL/UnicodeSupport UnicodeSupport.hxx)

install_header(TFEL/Metaprogramming/Forward TypeList.hxx)
install_header(TFEL/Metaprogramming Implements.hxx)
install_header(TFEL/Metaprogramming TypeList.hxx)
install_header(TFEL/Metaprogramming TypeList.ixx)
install_header(TFEL/Metaprogramming IsConstCallable.hxx)
install_header(TFEL/Metaprogramming GenerateTypeList.hxx)
install_header(TFEL/Metaprogramming InvalidType.hxx)
install_header(TFEL/Metaprogramming HasIterator.hxx)
install_header(TFEL/Metaprogramming HasConstIterator.hxx)
install_header(TFEL/Metaprogramming HasRandomAccessConstIterator.hxx)
install_header(TFEL/Metaprogramming EmptyClass.hxx)
install_header(TFEL/Metaprogramming HasRandomAccessIterator.hxx)
install_header(TFEL/Metaprogramming ResultOf.hxx)
install_header(TFEL/Metaprogramming MakeIntegerRange.hxx)

install_header(TFEL/TypeTraits/Promote Promote.ixx)
install_header(TFEL/TypeTraits BaseType.hxx)
install_header(TFEL/TypeTraits AbsType.hxx)
install_header(TFEL/TypeTraits RealPartType.hxx)
install_header(TFEL/TypeTraits IsFundamentalNumericType.hxx)
install_header(TFEL/TypeTraits IsReal.hxx)
install_header(TFEL/TypeTraits IsScalar.hxx)
install_header(TFEL/TypeTraits IsComplex.hxx)
install_header(TFEL/TypeTraits Promote.hxx)
install_header(TFEL/TypeTraits IsAssignableTo.hxx)
install_header(TFEL/TypeTraits IsUnaryOperator.hxx)
install_header(TFEL/TypeTraits IsInvalid.hxx)
install_header(TFEL/TypeTraits IsRandomAccessIterator.hxx)

install_header(TFEL/System RecursiveFind.hxx)
install_header(TFEL/System ExternalMaterialKnowledgeDescription.hxx)
install_header(TFEL/System ExternalMaterialPropertyDescription.hxx)
install_header(TFEL/System ExternalBehaviourDescription.hxx)
install_header(TFEL/System ExternalFunctionsPrototypes.hxx)
install_header(TFEL/System ExternalLibraryManager.hxx)
install_header(TFEL/System ProcessManager.h)
install_header(TFEL/System ProcessManager.hxx)
install_header(TFEL/System SignalHandler.ixx)
install_header(TFEL/System SystemError.hxx)
install_header(TFEL/System System.hxx)
install_header(TFEL/System SignalHandler.hxx)
install_header(TFEL/System SignalManager.hxx)
install_header(TFEL/System SystemError.ixx)
install_header(TFEL/System ChildProcess.hxx)
install_header(TFEL/System BinaryRead.hxx)
install_header(TFEL/System BinaryWrite.hxx)
install_header(TFEL/System STLContainerBinaryRead.hxx)
install_header(TFEL/System STLContainerBinaryWrite.hxx)
install_header(TFEL/System stream_traits.hxx)
install_header(TFEL/System basic_rstream.hxx)
install_header(TFEL/System basic_rstream.ixx)
install_header(TFEL/System basic_wstream.hxx)
install_header(TFEL/System basic_wstream.ixx)
install_header(TFEL/System rstreamView.hxx)
install_header(TFEL/System rstreamView.ixx)
install_header(TFEL/System wstreamView.hxx)
install_header(TFEL/System wstreamView.ixx)
install_header(TFEL/System rfstream.hxx)
install_header(TFEL/System wfstream.hxx)
install_header(TFEL/System getFunction.h)
install_header(TFEL/System ThreadPool.hxx)
install_header(TFEL/System ThreadPool.ixx)
install_header(TFEL/System ThreadedTaskResult.hxx)
install_header(TFEL/System ThreadedTaskResult.ixx)
install_header(TFEL/System LibraryInformation.hxx)

install_header(TFEL/Utilities StringAlgorithms.hxx)
install_header(TFEL/Utilities Argument.hxx)
install_header(TFEL/Utilities ArgumentParser.hxx)
install_header(TFEL/Utilities ArgumentParserBase.hxx)
install_header(TFEL/Utilities ArgumentParserBase.ixx)
install_header(TFEL/Utilities CxxKeywords.hxx)
install_header(TFEL/Utilities CxxTokenizerOptions.hxx)
install_header(TFEL/Utilities CxxTokenizer.hxx)
install_header(TFEL/Utilities CxxTokenizer.ixx)
install_header(TFEL/Utilities Token.hxx)
install_header(TFEL/Utilities Data.hxx)
install_header(TFEL/Utilities Data.ixx)
install_header(TFEL/Utilities TerminalColors.hxx)
install_header(TFEL/Utilities GenTypeCastError.hxx)
install_header(TFEL/Utilities GenTypeBase.hxx)
install_header(TFEL/Utilities GenTypeBase.ixx)
install_header(TFEL/Utilities GenTypeSpecialisation.ixx)
install_header(TFEL/Utilities TextData.hxx)
install_header(TFEL/Utilities FCString.hxx)
install_header(TFEL/Utilities FCString.ixx)

install_header(TFEL/Exception TFELException.hxx)

install_header(TFEL/FSAlgorithm loop.hxx)
install_header(TFEL/FSAlgorithm swap_ranges.hxx)
install_header(TFEL/FSAlgorithm copy.hxx)
install_header(TFEL/FSAlgorithm generate.hxx)
install_header(TFEL/FSAlgorithm inner_product.hxx)
install_header(TFEL/FSAlgorithm transform.hxx)
install_header(TFEL/FSAlgorithm iota.hxx)
install_header(TFEL/FSAlgorithm min_element.hxx)
install_header(TFEL/FSAlgorithm max_element.hxx)
install_header(TFEL/FSAlgorithm FSAlgorithm.hxx)
install_header(TFEL/FSAlgorithm accumulate.hxx)
install_header(TFEL/FSAlgorithm fill.hxx)
install_header(TFEL/FSAlgorithm for_each.hxx)
install_header(TFEL/FSAlgorithm equal.hxx)

install_header(TFEL/Math/Forward vector.hxx)
install_header(TFEL/Math/Forward qt.hxx)
install_header(TFEL/Math/Forward Complex.hxx)
install_header(TFEL/Math/Forward fsarray.hxx)
install_header(TFEL/Math/Forward runtime_array.hxx)
install_header(TFEL/Math/Forward tvector.hxx)
install_header(TFEL/Math/Forward tmatrix.hxx)
install_header(TFEL/Math/Forward matrix.hxx)
install_header(TFEL/Math/Forward tensor.hxx)
install_header(TFEL/Math/Forward stensor.hxx)
install_header(TFEL/Math/Forward t2tot2.hxx)
install_header(TFEL/Math/Forward t2tost2.hxx)
install_header(TFEL/Math/Forward st2tot2.hxx)
install_header(TFEL/Math/Forward st2tost2.hxx)
install_header(TFEL/Math/Forward Expr.hxx)

install_header(TFEL/Math/Bindings atlas.hxx)
install_header(TFEL/Math fsarray.hxx)
install_header(TFEL/Math runtime_array.hxx)
install_header(TFEL/Math power.hxx)
install_header(TFEL/Math power.ixx)
install_header(TFEL/Math Discretization1D.hxx)
install_header(TFEL/Math Discretization1D.ixx)
install_header(TFEL/Math/Array ArrayConcept.hxx)
install_header(TFEL/Math/Array fsarrayIO.hxx)
install_header(TFEL/Math/Array runtime_arrayIO.hxx)
install_header(TFEL/Math/Array StandardTemplateLibraryCompatibilityLayers.hxx)
install_header(TFEL/Math/Array StandardTemplateLibraryCompatibilityLayers.ixx)
install_header(TFEL/Math/Array ArrayCommonMethods.hxx)
install_header(TFEL/Math/Array ArrayCommonMethods.ixx)
install_header(TFEL/Math/Array ArrayPolicies.hxx)
install_header(TFEL/Math/Array ArrayPolicies.ixx)
install_header(TFEL/Math/Array ConstFixedSizeArrayBase.hxx)
install_header(TFEL/Math/Array ConstFixedSizeArrayBase.ixx)
install_header(TFEL/Math/Array ConstRuntimeArrayBase.hxx)
install_header(TFEL/Math/Array ConstRuntimeArrayBase.ixx)
install_header(TFEL/Math/Array View.hxx)
install_header(TFEL/Math/Array ViewsArray.hxx)
install_header(TFEL/Math/Array ViewsArrayIO.hxx)
install_header(TFEL/Math/Array FixedSizeArrayPolicies.hxx)
install_header(TFEL/Math/Array FixedSizeIndexingPolicies.hxx)
install_header(TFEL/Math/Array GenericFixedSizeArray.hxx)
install_header(TFEL/Math/Array GenericFixedSizeArray.ixx)
install_header(TFEL/Math/Array GenericRuntimeArray.hxx)
install_header(TFEL/Math/Array GenericRuntimeArray.ixx)
install_header(TFEL/Math/Array IndexingPolicies.hxx)
install_header(TFEL/Math/Array IndexingPolicies.ixx)
install_header(TFEL/Math/Array IterateOverMultipleIndices.hxx)
install_header(TFEL/Math/Array MultipleIndicesFunctors.hxx)
install_header(TFEL/Math/Array MutableFixedSizeArrayBase.hxx)
install_header(TFEL/Math/Array MutableFixedSizeArrayBase.ixx)
install_header(TFEL/Math/Array MutableRuntimeArrayBase.hxx)
install_header(TFEL/Math/Array MutableRuntimeArrayBase.ixx)
install_header(TFEL/Math/Array RuntimeArrayPolicies.hxx)
install_header(TFEL/Math/Array RuntimeIndexingPolicies.hxx)
install_header(TFEL/Math/Array FixedSizeArrayDerivative.hxx)
install_header(TFEL/Math/Parser BinaryFunction.hxx)
install_header(TFEL/Math/Parser EvaluatorBase.hxx)
install_header(TFEL/Math/Parser Negation.hxx)
install_header(TFEL/Math/Parser BinaryFunction.ixx)
install_header(TFEL/Math/Parser Expr.hxx)
install_header(TFEL/Math/Parser Number.hxx)
install_header(TFEL/Math/Parser BinaryOperator.hxx)
install_header(TFEL/Math/Parser BinaryOperator.ixx)
install_header(TFEL/Math/Parser Function.hxx)
install_header(TFEL/Math/Parser Function.ixx)
install_header(TFEL/Math/Parser PowerFunction.hxx)
install_header(TFEL/Math/Parser PowerFunction.ixx)
install_header(TFEL/Math/Parser Variable.hxx)
install_header(TFEL/Math/Parser ExternalCFunction.hxx)
install_header(TFEL/Math/Parser ExternalCastemFunction.hxx)
install_header(TFEL/Math/Parser ExternalCyranoFunction.hxx)
install_header(TFEL/Math/Parser ExternalFunction.hxx)
install_header(TFEL/Math/Parser ConstantExternalFunction.hxx)
install_header(TFEL/Math/Parser ExternalFunctionManager.hxx)
install_header(TFEL/Math/Parser ExternalFunctionExpr.hxx)
install_header(TFEL/Math/Parser ExternalFunctionExpr2.hxx)
install_header(TFEL/Math/Parser DifferentiatedFunctionExpr.hxx)
install_header(TFEL/Math/Parser KrigedFunction.hxx)
install_header(TFEL/Math/Parser KrigedFunction.ixx)
install_header(TFEL/Math/Parser EvaluatorTExpr.hxx)
install_header(TFEL/Math/Parser EvaluatorTExpr.ixx)
install_header(TFEL/Math/Parser IntegerEvaluatorTExpr.hxx)
install_header(TFEL/Math/Parser EvaluatorProxy.hxx)
install_header(TFEL/Math/Parser EvaluatorProxy.ixx)
install_header(TFEL/Math/Parser LogicalExpr.hxx)
install_header(TFEL/Math/Parser LogicalExpr.ixx)
install_header(TFEL/Math/Parser ConditionalExpr.hxx)
install_header(TFEL/Math/Parser EvaluatorFunction.hxx)
install_header(TFEL/Math/Parser EvaluatorFunction.ixx)
install_header(TFEL/Math/Parser LevenbergMarquardtEvaluatorWrapper.hxx)
install_header(TFEL/Math/Parser LevenbergMarquardtExternalFunctionWrapper.hxx)
install_header(TFEL/Math Evaluator.hxx)
install_header(TFEL/Math IntegerEvaluator.hxx)
install_header(TFEL/Math Kriging.hxx)
install_header(TFEL/Math Kriging1D.hxx)
install_header(TFEL/Math Kriging2D.hxx)
install_header(TFEL/Math Kriging3D.hxx)
install_header(TFEL/Math FactorizedKriging.hxx)
install_header(TFEL/Math FactorizedKriging1D1D.hxx)
install_header(TFEL/Math FactorizedKriging1D2D.hxx)
install_header(TFEL/Math FactorizedKriging1D3D.hxx)
install_header(TFEL/Math LinearInterpolation.hxx)
install_header(TFEL/Math LinearInterpolation.ixx)
install_header(TFEL/Math CubicSpline.hxx)
install_header(TFEL/Math CubicSpline.ixx)
install_header(TFEL/Math/Kriging Kriging.ixx)
install_header(TFEL/Math/Kriging KrigingUtilities.hxx)
install_header(TFEL/Math/Kriging KrigingPieceWiseLinearModel1D.hxx)
install_header(TFEL/Math/Kriging KrigingDefaultModel1D.hxx)
install_header(TFEL/Math/Kriging KrigingErrors.hxx)
install_header(TFEL/Math/Kriging KrigingDefaultNuggetModel.hxx)
install_header(TFEL/Math/Kriging FactorizedKriging.ixx)
install_header(TFEL/Math/Kriging KrigingVariable.hxx)
install_header(TFEL/Math/Kriging KrigingDefaultModel3D.hxx)
install_header(TFEL/Math/Kriging KrigingDefaultModels.hxx)
install_header(TFEL/Math/Kriging KrigingDefaultModel2D.hxx)
