=== mfront-query/CMakeLists.txt ===
add_subdirectory(include)
add_subdirectory(src)
if(enable-testing)
  add_subdirectory(tests)
endif()
