=== bindings/fortran77/CMakeLists.txt ===
if(TFEL_APPEND_SUFFIX)  
  install(FILES TFELPHYSICALCONSTANTS.INC
    DESTINATION "include/TFEL-${TFEL_SUFFIX}/TFEL/"
    COMPONENT core)
else(TFEL_APPEND_SUFFIX)
  install(FILES TFELPHYSICALCONSTANTS.INC
    DESTINATION "include/TFEL/"
    COMPONENT core)
endif(TFEL_APPEND_SUFFIX)
