=== docs/gallery/CMakeLists.txt ===
add_subdirectory(behaviours)
